Subject: Re: bug#6687: [24.0.50] end-of-buffer cursor position with an overlay
From: Eli Zaretskii <[email-masked]>
To: Tetsuo Tsukamoto <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 Nov 2010 18:36:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Tetsuo Tsukamoto <[email-masked]>
> Date: Thu, 22 Jul 2010 01:25:46 +0900
> Cc: 
> 
> Invoked Emacs with emacs -Q.  After I moved the point so as to meet
> one of the four conditions mentioned in results, I did the
> following.
> 
> 0) M-: (overlay-put (make-overlay (point) (point)) 'before-string "?")
> 1) Type x.
> 2) Type additional x.
> 
> Results were as follows (cursor position is indicated with [ and ]).
> 
>  initial point position  :        cursor behavior
> (and (eobp) (eolp))      :  0) [?]   1) [?]x   2) ?xx[]
> (and (not (eobp)) (eolp)):  0) [?]   1) ?x[]   2) ?xx[]
> (and (eobp) (not (eolp))):  0) ?[]   1) ?x[]   2) ?xx[]
> (not (or (eobp) (eolp))) :  0) ?[]   1) ?x[]   2) ?xx[]
> 
> Suppose 1st result may not be expected.  2nd result is also
> different from what Emacs 23.2 produces. 3rd and 4th results seem
> OK.

Sorry for such a long delay, but I finally fixed this (in revision
102440).

Thanks for reporting this, and for a detailed test case.